API ReferenceMerchant APIApi referenceDisputes
Retrieve a dispute by ID
GET
/api/v1/p2p/merchant/appeals/{appeal_id}Authorization
MerchantToken MerchantSignature X-Merchant-Token<token>
64-character hex public merchant token assigned during onboarding.
In: header
X-Signature<token>
Stripe-style HMAC-SHA256 signature.
Format: t=<unix_seconds>,v1=<hex_hmac_sha256>
where hex_hmac = HMAC-SHA256(webhook_secret, "<unix_seconds>.<raw_body>").
Replay window: 5 minutes (60s future drift tolerated).
In: header
Path Parameters
appeal_id*string
Appeal UUID.
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/api/v1/p2p/merchant/appeals/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "appeal": { "appeal_id": "c1d2e3f4-5678-90ab-cdef-1234567890ab", "deal_id": "7ac148fe-1234-5678-9abc-def012345678", "status": "IN_PROGRESS", "reason": "Funds not credited within 30 minutes", "resolution_note": "", "created_at": "2026-08-10T12:45:00Z", "resolved_at": "", "updated_at": "2026-08-10T13:00:00Z" }}{ "type": "../dictionary", "title": "string", "status": 0, "detail": "string", "instance": "../dictionary", "errors": [ { "field": "amount", "message": "must be greater than 0", "code": "POSITIVE_REQUIRED" } ]}{ "type": "../dictionary", "title": "string", "status": 0, "detail": "string", "instance": "../dictionary", "errors": [ { "field": "amount", "message": "must be greater than 0", "code": "POSITIVE_REQUIRED" } ]}